Subject: Re: bug#13527: 24.2.92 + 24.2.93; Spawning child process: resource temporarily unavailable

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 12 Feb 2013 10:21:49 +0100

Dear Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: Sebastien Vauban <[email-masked]>,  [email-masked]
>> Date: Mon, 28 Jan 2013 16:55:28 +0100
>
> If, once it happens, it keeps happening, it doesn't matter.  You can
> attach GDB whenever you see the problem first.
>
> If the problem _always_ happens when you save that Org buffer, then it
> would be best to attach GDB to Emacs before you try saving the buffer,
> and also set a breakpoint in spawnve.
>
>> But I can already "positively" tell you that this "spawning child process"
>> error is something *new in 24.2.92* -- I reused 24.2.91 for a couple of days
>> with no problem; using 24.2.92, I got stopped only after a couple of hours.
>
> Could be a side effect of bugfixes in this area that were done between
> these two versions.

I'm sorry to tell you that the problem still occurs with Emacs 24.2.93:

  GNU Emacs 24.2.93.1 (i386-mingw-nt6.2.9200) of 2013-02-08 on VBOX-W7

After a couple of hours, Emacs is unusable; I must restart it to be able to
send emails, or to get list of files returned by Helm. That is, the problem
seems to be related to communication with external processes.

BTW, I think that the 2 following problems:

- bug#13527: Spawning child process: resource temporarily unavailable
- bug#13546: Error(s) when sending emails

are just 2 sides of the same coin.

I'll try to provide you with some GDB info...

Best regards,
  Seb

-- 
Sebastien Vauban